Partially modify snapshots
Update the properties of the specified snapshot.
You will need to base64 encode the string containing your credentials.
- Basic Authentication is supported only when 2-Factor Authentication is not configured.
- Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
- Token deletion is only possible using the Token Manager.
The unique ID of the snapshot.
Controls whether the response is pretty-printed (with indentations and new lines).
trueControls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on
0Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
The name of the resource.
My resourceHuman-readable description.
Image/Snapshot of UbuntuLocation of that image/snapshot.
us/lasThe size of the image in GB.
100Boolean value representing if the snapshot requires extra protection, such as two-step verification.
trueHot-plug capable CPU (no reboot required).
trueHot-unplug capable CPU (no reboot required).
trueHot-plug capable RAM (no reboot required).
trueHot-unplug capable RAM (no reboot required).
trueHot-plug capable NIC (no reboot required).
trueHot-unplug capable NIC (no reboot required).
trueHot-plug capable Virt-IO drive (no reboot required).
trueHot-unplug capable Virt-IO drive (no reboot required). Not supported with Windows VMs.
trueHot-plug capable SCSI drive (no reboot required).
trueIf set to true will expose the serial id of the disk attached to the server. If set to false will not expose the serial id. Some operating systems or software solutions require the serial id to be exposed to work properly. Exposing the serial can influence licensed software (e.g. Windows) behavior
falseExample: trueIndicates if the image requires the legacy BIOS for compatibility or specific needs.
trueExample: trueIs capable of SCSI drive hot unplug (no reboot required). This works only for non-Windows virtual Machines.
trueOS type of this snapshot
LINUXThe type of application that is hosted on this resource. Only public images can have an Application type different than UNKNOWN.
MSSQL-2019-StandardSuccessful operation
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).
PATCH /cloudapi/v6/snapshots/{snapshotId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 410
{
"name": "My resource",
"description": "Image/Snapshot of Ubuntu ",
"secAuthProtection": true,
"cpuHotPlug": true,
"cpuHotUnplug": true,
"ramHotPlug": true,
"ramHotUnplug": true,
"nicHotPlug": true,
"nicHotUnplug": true,
"discVirtioHotPlug": true,
"discVirtioHotUnplug": true,
"discScsiHotPlug": true,
"exposeSerial": true,
"requireLegacyBios": true,
"discScsiHotUnplug": true,
"licenceType": "LINUX",
"applicationType": "MSSQL-2019-Standard"
}{
"id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
"type": "snapshot",
"href": "<RESOURCE-URI>",
"metadata": {
"etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
"createdDate": "2015-12-04T14:34:09.809Z",
"createdBy": "user@example.com",
"createdByUserId": "user@example.com",
"lastModifiedDate": "2015-12-04T14:34:09.809Z",
"lastModifiedBy": "user@example.com",
"lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
"state": "AVAILABLE"
},
"properties": {
"name": "My resource",
"description": "Image/Snapshot of Ubuntu ",
"location": "us/las",
"size": 100,
"secAuthProtection": true,
"cpuHotPlug": true,
"cpuHotUnplug": true,
"ramHotPlug": true,
"ramHotUnplug": true,
"nicHotPlug": true,
"nicHotUnplug": true,
"discVirtioHotPlug": true,
"discVirtioHotUnplug": true,
"discScsiHotPlug": true,
"exposeSerial": true,
"requireLegacyBios": true,
"discScsiHotUnplug": true,
"licenceType": "LINUX",
"applicationType": "MSSQL-2019-Standard"
}
}Last updated
Was this helpful?